com.taggercat.template.tags
Class DataFieldTag

java.lang.Object
  extended by javax.servlet.jsp.tagext.TagSupport
      extended by com.taggercat.template.tags.AbstractDataFieldTag
          extended by com.taggercat.template.tags.DataFieldTag
All Implemented Interfaces:
java.io.Serializable, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

public class DataFieldTag
extends AbstractDataFieldTag

This tag handler dispatches the processing for the field to the EDIT_CONTROLS_PAGE for the actual edit control generation.

Therefore, this tag does not directly generate any output.

See Also:
Serialized Form
 

Field Summary
 
Fields inherited from class com.taggercat.template.tags.AbstractDataFieldTag
TAG_GEN_CONFIG_CACHE_KEY, TAG_GEN_CONFIG_PREFIX
 
Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
EVAL_BODY_AGAIN
 
Fields inherited from interface javax.servlet.jsp.tagext.Tag
EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE
 
Constructor Summary
DataFieldTag()
           
 
Method Summary
 int doEndTag()
           
 int doStartTag()
          Generate the data field tag.
 java.lang.String getRowID()
           
 void setCodeGenPage(java.lang.String codeGenPage)
          Sets the actual code generation page.
 void setEditable(boolean editable)
           
 void setFieldType(java.lang.String fieldType)
          Sets the field's edit type.
 void setFieldTypesParameter(java.lang.String fieldTypesParameter)
          Sets the name of the request parameter where field types are specified.
 void setMaxSize(int maxSize)
           
 void setQbf(boolean isQBF)
           
 void setRowID(java.lang.String rowID)
           
 void setTooltips(boolean tooltips)
           
 
Methods inherited from class com.taggercat.template.tags.AbstractDataFieldTag
setEntityName, setEntityObjectAttribute, setPrettyPrint, setPropertyName
 
Methods inherited from class javax.servlet.jsp.tagext.TagSupport
doAfterBody, findAncestorWithClass, getId, getParent, getValue, getValues, release, removeValue, setId, setPageContext, setParent, setValue
 
Methods inherited from class java.lang.Object
equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait
 

Constructor Detail

DataFieldTag

public DataFieldTag()
Method Detail

doStartTag

public int doStartTag()
               throws javax.servlet.jsp.JspException
Generate the data field tag.

Specified by:
doStartTag in interface javax.servlet.jsp.tagext.Tag
Overrides:
doStartTag in class AbstractDataFieldTag
Throws:
javax.servlet.jsp.JspException
Returns:
SKIP_BODY

doEndTag

public int doEndTag()
             throws javax.servlet.jsp.JspException
Specified by:
doEndTag in interface javax.servlet.jsp.tagext.Tag
Overrides:
doEndTag in class AbstractDataFieldTag
Throws:
javax.servlet.jsp.JspException

setEditable

public void setEditable(boolean editable)

setQbf

public void setQbf(boolean isQBF)

setMaxSize

public void setMaxSize(int maxSize)

setTooltips

public void setTooltips(boolean tooltips)

setCodeGenPage

public void setCodeGenPage(java.lang.String codeGenPage)
Sets the actual code generation page. The default page is /EditControls.jsp

Parameters:
codeGenPage - the code generation page used to create data field controls.

setFieldType

public void setFieldType(java.lang.String fieldType)
Sets the field's edit type. This is mutually exclusive of the value set in the FieldTypesParameter attribute.

Therefore, this explicitly overrides types set in the repository, or specified in the FieldTypesParameter.

This type is a single string value; and not a comma separated list. This value will be set on the requestScope attribute named 'fieldType'.

Parameters:
fieldType - the field's edit control type for this field.

setFieldTypesParameter

public void setFieldTypesParameter(java.lang.String fieldTypesParameter)
Sets the name of the request parameter where field types are specified. The name of the fields type parameter is created by the DW Tagger, and is formed using the field list parameter name as a prefix, and FieldTypes as a suffix.

The fields type parameter will only be included if the user has selected non-default field types for the field list.

For example, a parameter name of qbfFields will be result in a request parameter named qbfFieldsFieldTypes

See the QBFPage.jsp for example usage.

If no name is set, then the default is name selectedFieldsFieldTypes.

Parameters:
fieldTypesParameter - the name of the request parameter where explicit field types have been listed

getRowID

public java.lang.String getRowID()
Returns:
the rowID

setRowID

public void setRowID(java.lang.String rowID)
Parameters:
rowID - the rowID to set